@import url("https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css");

label{
    cursor: pointer;
    color: #666;
    font-size: 18px;
}

input[type="radio"]{
    position: absolute;
    right: 9000px;
}
/*Radio box*/

input[type="radio"] + .label-text:before{
    content: "\f10c";
    font-family: "FontAwesome";
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing:antialiased;
    width: 1em;
    display: inline-block;
    margin-right: 5px;
}

input[type="radio"]:checked + .label-text:before{
    content: "\f192";
    color: #8e44ad;
    animation: effect 250ms ease-in;
}

input[type="radio"]:disabled + .label-text{
    color: #aaa;
}

input[type="radio"]:disabled + .label-text:before{
    content: "\f111";
    color: #ccc;
}

/*Radio Toggle*/

.toggle input[type="radio"] + .label-text:before{
    content: "\f204";
    font-family: "FontAwesome";
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing:antialiased;
    width: 1em;
    display: inline-block;
    margin-right: 10px;
}

.toggle input[type="radio"]:checked + .label-text:before{
    content: "\f205";
    color: #16a085;
    animation: effect 250ms ease-in;
}

.toggle input[type="radio"]:disabled + .label-text{
    color: #aaa;
}

.toggle input[type="radio"]:disabled + .label-text:before{
    content: "\f204";
    color: #ccc;
}

.select2-container .select2-selection--single{
    height:34px !important;
}
.select2-container--default .select2-selection--single{
         border: 1px solid #ccc !important;
     border-radius: 0px !important;
}


@keyframes effect{
    0%{transform: scale(0);}
    25%{transform: scale(1.3);}
    75%{transform: scale(1.4);}
    100%{transform: scale(1);}
}
